# $Revision: 1.75 $, $Date: 2008/07/27 23:06:56 $
Summary:	SDL MPEG Library
Summary(pl.UTF-8):	Biblioteka SDL MPEG
Summary(pt_BR.UTF-8):	Biblioteca MPEG SDL
Summary(ru.UTF-8):	SDL MPEG библиотека и проигрыватель
Summary(uk.UTF-8):	SDL MPEG бібліотека та програвач
Name:		smpeg
Version:	0.4.4
Release:	17
License:	LGPL
Group:		Libraries
# currently developed at http://icculus.org/smpeg/ but no release yet
Source0:	ftp://sunsite.dk/pub/os/linux/loki/open-source/smpeg/%{name}-%{version}.tar.gz
# Source0-md5:	59c76ac704088ef5539210190c4e1fe3
Source1:	gtv.desktop
Source2:	gtv.png
Patch0:		%{name}-acfix.patch
Patch1:		%{name}-gcc.patch
Patch2:		%{name}-optimize.patch
Patch3:		%{name}-am18.patch
Patch4:		%{name}-gcc4.patch
Patch5:		%{name}-gnu-stack.patch
Patch6:		%{name}-fPIC.patch
URL:		http://www.lokigames.com/development/smpeg.php3
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.1
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	libsmpeg0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SMPEG is based on UC Berkeley's mpeg_play software MPEG decoder and
SPLAY, an mpeg audio decoder created by Woo-jae Jung. We have
completed the initial work to wed these two projects in order to
create a general purpose MPEG video/audio player for the Linux OS.

%description -l pl.UTF-8
SMPEG jest bazowanym na mpeg_play z UC Berkeley programowym dekoderem
MPEG. SMPLAY jest dekoderem audio stworzonym przez Woo-jae Jung.
Skompletowaliśmy prace tych dwóch projektów, aby stworzyć MPEG
video/audio player ogólnego przeznaczenia dla systemu Linux.

%description -l pt_BR.UTF-8
A SMPEG é baseada no software de decodificação MPEG mpeg_play da
Universidade de Berkeley e no SPLAY, um decodificador de áudio mpeg
criado por Woo-jae Jung. Completamos o trabalho inicial de casar estes
dois projetos para criar um reprodutor MPEG de vídeo e áudio de
propósito geral para o sistema operacional Linux.

%description -l ru.UTF-8
SMPEG основывается на программном MPEG декодере mpeg_play,
разработанном в UCB (Университете Беркли) и SPLAY, аудио-декодере,
созданном Woo-jae Jung. Эти два проекта были объединены для создания
MPEG-аудио/видео проигрывателя для Linux.

%description -l uk.UTF-8
SMPEG базується на програмному MPEG декодері mpeg_play, розробленому в
UCB (Університеті Берклі) та SPLAY, аудіо-декодері, який створив
Woo-jae Jung. Ці два проекти були об'єднані для створення
MPEG-аудіо/відео програвача для Linux.

%package libs
Summary:	Shared smpeg libraries
Summary(pl.UTF-8):	Współdzielone biblioteki smpeg
Group:		Libraries
Conflicts:	smpeg < 0.4.4-14

%description libs
Shared smpeg libraries.

%description libs -l pl.UTF-8
Współdzielone biblioteki smpeg.

%package devel
Summary:	Smpeg header files and development documentation
Summary(pl.UTF-8):	Pliki nagłówkowe oraz dokumentacja do smpeg
Summary(pt_BR.UTF-8):	Bibliotecas e arquivos de inclusão para desenvolvimento de aplicações SMPEG
Summary(ru.UTF-8):	Файлы, необходимые для разработки программ, использующих SMPEG
Summary(uk.UTF-8):	Файли, необхідні для розробки програм, що використовують SMPEG
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	SDL-devel
Obsoletes:	libsmpeg0.4-devel

%description devel
Header files and development documentation for smpeg.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja do biblioteki smpeg.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento de aplicações
SMPEG.

%description devel -l uk.UTF-8
Цей пакет містить файли, необхідні для розробки програм, що
використовують SMPEG.

%description devel -l ru.UTF-8
Этот пакет содержит файлы, необходимые для разработки программ,
использующих SMPEG.

%package static
Summary:	Smpeg static libraries
Summary(pl.UTF-8):	Biblioteki statyczne smpeg
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento de aplicações SMPEG
Summary(ru.UTF-8):	Статические библиотеки для разработки с использованием SMPEG
Summary(uk.UTF-8):	Статичні бібліотеки для розробки з використанням SMPEG
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Smpeg static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne smpeg.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento de aplicações SMPEG.


%description static -l ru.UTF-8
Этот пакет содержит статические библиотеки для разработки программ,
использующих SMPEG.

%description static -l uk.UTF-8
Цей пакет містить статичні бібліотеки для розробки програм, що
використовують SMPEG.

%package gtv
Summary:	gtv MPEG player
Summary(pl.UTF-8):	Odtwarzacz MPEG gtv
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description gtv
gtv MPEG player.

%description gtv -l pl.UTF-8
Odtwarzacz MPEG gtv.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0

# get only AC_TYPE_SOCKLEN_T, kill the rest (libtool.m4 in particular)
tail -n 23 acinclude.m4 > acinc.tmp
mv -f acinc.tmp acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure \
%ifarch %{ix86}
	--enable-mmx \
%endif
	--disable-debug \
	--disable-opengl-player

%{__make} \
	CC="%{__cxx}" \
	CCASFLAGS="\$(CFLAGS)"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/plaympeg
%{_mandir}/man1/plaympeg.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/smpeg-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files gtv
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gtv
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/gtv.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: smpeg.spec,v $
Revision 1.75  2008/07/27 23:06:56  arekm
- release 17

Revision 1.74  2007-02-12 22:09:15  glen
- tabs in preamble

Revision 1.73  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.72  2006/12/26 14:44:29  wolf
- rel 16

Revision 1.71  2006/12/24 00:20:54  qboosh
- working Source0 URL

Revision 1.70  2006/11/07 22:30:06  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.69  2006/01/20 20:19:54  pluto
- executable stack killed, -fPIC issue fixed, release 15.

Revision 1.68  2006/01/20 20:07:13  qboosh
- added gcc4 patch

Revision 1.67  2004/09/25 11:20:55  radek
- cosmetics (spaces -> tabs)

Revision 1.66  2004/03/28 13:55:00  qboosh
- -libs Conflits: smpeg before separation

Revision 1.65  2004/03/28 13:15:38  freetz
- separated libraries subpackage
- moved to desktopdir
- strict iinternal deps
- rel. 14

Revision 1.64  2003/12/22 13:48:17  qboosh
- added am18 patch (smpeg.m4 quotation fix)
- pass CCASFLAGS to fix asm compilation with current ac/am
- release 13

Revision 1.63  2003/09/26 05:56:23  witekfl
- added 'optimize' patch
- Release 12

Revision 1.62  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.61  2003/07/24 12:15:15  pascalek
- gcc patch added

Revision 1.60  2003/05/25 11:00:59  malekith
- massive attack, adding Source-md5

Revision 1.59  2003/05/25 06:26:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.58  2003/02/20 17:35:15  qboosh
- moved gtv to subpackage (requires gtk+)
- libtoolize to correctly link libsmpeg (with -lstdc++)
- release 11

Revision 1.57  2003/01/18 22:56:20  juandon
- removed two lines with define

Revision 1.56  2002/11/30 23:00:28  juandon
- new %%doc

Revision 1.55  2002/11/25 14:18:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.54  2002/10/09 13:14:47  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.53  2002/05/21 23:14:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.52  2002/05/06 21:34:14  kloczek
- bump release to 10.

Revision 1.51  2002/05/06 21:25:50  kloczek
- merge translations from KSI.

Revision 1.50  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.49  2002/03/20 22:39:26  filon
- enable MMX on all x86, it is detected at runtime

Revision 1.48  2002/03/20 18:10:42  filon
- enable mmx optimizations on i686 and athlon
- fixed building on gcc3
- removed buildrequire for esound-devel (handled by SDL-devel)
- release 8

Revision 1.47  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.46  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.45  2002/01/18 02:14:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.44  2002/01/11 11:41:55  kloczek
- release 7: added missing aclocal macros for smpeg to devel subpackage
  (neccessay on build xmms-input-smpeg).

Revision 1.43  2002/01/06 09:33:54  kloczek
- release 6: libsmpeg0.4{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.42  2001/10/22 17:53:10  kloczek
- merge translations from CNV.

Revision 1.41  2001/10/17 21:44:01  qboosh
- acfix patch - ac-2.52/am-1.5 ready
- fixed pl -static description
- release 5

Revision 1.40  2001/07/15 22:29:03  kloczek
- release 4: remove some redundant macros.

Revision 1.39  2001/07/11 12:24:08  kloczek
- release 3: make spec ac 2.50 ready (regenerate ac/am files in %build).

Revision 1.38  2001/07/03 20:10:54  kloczek
- bump release to 2.

Revision 1.37  2001/06/28 03:00:59  kloczek
- updated to 0.4.4.

Revision 1.36  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.35  2001/04/13 03:47:19  kloczek
- updated to 0.4.3.

Revision 1.34  2001/04/02 13:47:50  misiek
release 4; rebuild against SDL 1.2.0; stb

Revision 1.33  2001/03/24 02:06:34  blues
- few translations

Revision 1.32  2001/03/22 18:48:16  kloczek
- release 3.

Revision 1.31  2001/03/22 18:45:04  qboosh
- smpeg-devel Requires: SDL-devel

Revision 1.30  2001/02/16 08:41:27  kloczek
- release 2: added --disable-debug to autoconf switches.

Revision 1.29  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.28  2001/01/25 20:03:49  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.27  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.26  2000/12/10 05:29:56  kloczek
- moved %%{_bindir}/smpeg-config to devel.

Revision 1.25  2000/12/10 05:24:48  kloczek
- updated to 0.4.2,
- removed outdated stereo patch.

Revision 1.24  2000/11/13 17:18:57  baggins
- release 2
- added stereo patch

Revision 1.23  2000/10/04 03:04:49  kloczek
- BUildRequires: SDL-devel >= 1.1.5.

Revision 1.22  2000/10/04 03:01:27  kloczek
- updated to 0.4.1 and added using rpm new automation suit.

Revision 1.21  2000/06/15 11:53:50  bonkey
- buildrequires SDL-devel >= 1.1.3

Revision 1.20  2000/06/15 05:37:51  kloczek
- updated to 0.4.0,
- new Source url.

Revision 1.19  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.18  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/04/14 11:25:43  mkochano
- More "BuildRequires:".

Revision 1.16  2000/04/11 22:06:41  kloczek
- added gtv desktop file,
- beter c++ optimization (-fno-rtti -fno-exceptions).

Revision 1.15  2000/04/11 21:42:10  kloczek
- added --disable-opengl-player for ./configure.

Revision 1.14  2000/04/10 07:34:21  waszi
- typo

Revision 1.13  2000/04/10 07:29:15  waszi
-updated to 0.3.5

Revision 1.12  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.10  2000/03/12 17:36:06  kloczek
- updated to 0.3.4,
- BuildRequires for SDL-devel changed to ">= 1.1.1".

Revision 1.9  2000/01/20 07:00:37  wiget
0.3.3

Revision 1.8  2000/01/11 20:32:11  kloczek
- release 2,
- added missing %defattr() in devel %files.

Revision 1.7  2000/01/05 01:51:20  wiget
0.3.2

Revision 1.6  1999/12/13 00:33:27  kloczek
- added devel and static subpackages.

Revision 1.5  1999/12/11 20:24:51  wiget
- small fix

Revision 1.4  1999/11/09 23:30:14  kloczek
- added stripping shared libraries.

Revision 1.3  1999/11/09 23:16:12  kloczek
- removed COPYING from %doc (clear copyright statment is in Copyright
  field),
- added full Source url,
- emoved CFLAGS="$RPM_OPT_FLAGS" and added LDFLAGS="-s"; export LDLAGS in
  %build,
- added DESTDIR syle %install,
- some costetics.

Revision 1.2  1999/11/09 10:27:29  waszi
- cvs tags fixed

Revision 1.1  1999/11/09 10:26:49  waszi
- initial release
